Debian Bug report logs - #526973
www.debian.org: W3C CSS OK icon displayed, but CSS reported as invalid

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Jan Rejlek <jrejlek@gmail.com>

Date: Mon, 4 May 2009 18:36:01 UTC

Severity: normal

Tags: wontfix

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#526973; Package www.debian.org. (Mon, 04 May 2009 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Rejlek <jrejlek@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 04 May 2009 18:36:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Rejlek <jrejlek@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: www.debian.org: W3C CSS OK icon displayed, but CSS invalid
Date: Mon, 04 May 2009 20:34:31 +0200
Package: www.debian.org
Severity: normal

On the Debian main page (http://www.debian.org/) there is a non-clickable 
"W3C CSS OK" icon displayed, but the W3C CSS Validator 
(http://jigsaw.w3.org/css-validator/) reports this page as invalid.

I think that this inconsistency should be solved either by removing the 
icon or fixing the css file.

The offending code in debian.css is
#leftcol, #navbar, #navbar a {
	-moz-border-radius: 15px;
	-webkit-border-radius: 15px;
	/* these go to the end as the css validator does not like them
	will be replaced by border-radius with css3 */
}

Best regards

Jan Rejlek


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#526973; Package www.debian.org. (Mon, 04 May 2009 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <simon.paillard@resel.enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 04 May 2009 19:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 526973@bugs.debian.org (full text, mbox):

From: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>
To: Jan Rejlek <jrejlek@gmail.com>, 526973@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#526973: www.debian.org: W3C CSS OK icon displayed, but CSS invalid
Date: Mon, 4 May 2009 21:35:22 +0200
forcemerge 509329 526973
thanks

On Mon, May 04, 2009 at 08:34:31PM +0200, Jan Rejlek wrote:
> Package: www.debian.org
> Severity: normal
> 
> On the Debian main page (http://www.debian.org/) there is a non-clickable 
> "W3C CSS OK" icon displayed, but the W3C CSS Validator 
> (http://jigsaw.w3.org/css-validator/) reports this page as invalid.
> 
> I think that this inconsistency should be solved either by removing the 
> icon or fixing the css file.

Thanks for your report.

Actually, the issue is on the validator side, which reports them as
invalid, while the standard allows it, see
http://thread.gmane.org/gmane.linux.debian.devel.www/28544/focus=28636
and.
 
Since this issue has already been reported and is a false negative, it
will be closed (though I wonder if we should keep it opened as wontfix
so that people know it's not a problem).

Best regards.

-- 
Simon Paillard




Added tag(s) wontfix. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 07 Nov 2009 15:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'www.debian.org: W3C CSS OK icon displayed, but CSS reported as invalid' from 'www.debian.org: W3C CSS OK icon displayed, but CSS invalid' Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Mon, 23 Nov 2009 21:42:07 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Fri, 29 Apr 2011 23:27:10 GMT) Full text and rfc822 format available.

Notification sent to Jan Rejlek <jrejlek@gmail.com>:
Bug acknowledged by developer. (Fri, 29 Apr 2011 23:27:10 GMT) Full text and rfc822 format available.

Message #19 received at 526973-done@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 526973-done@bugs.debian.org
Subject: Re: Bug#526973: www.debian.org: W3C CSS OK icon displayed, but CSS invalid
Date: Sat, 30 Apr 2011 01:26:13 +0200
Hi,

On Mon, May 04, 2009 at 09:35:22PM +0200, Simon Paillard wrote:
> On Mon, May 04, 2009 at 08:34:31PM +0200, Jan Rejlek wrote:
> > Package: www.debian.org
> > Severity: normal
> > 
> > On the Debian main page (http://www.debian.org/) there is a non-clickable 
> > "W3C CSS OK" icon displayed, but the W3C CSS Validator 
> > (http://jigsaw.w3.org/css-validator/) reports this page as invalid.
> > 
> > I think that this inconsistency should be solved either by removing the 
> > icon or fixing the css file.
> 
> Actually, the issue is on the validator side, which reports them as
> invalid, while the standard allows it, see
> http://thread.gmane.org/gmane.linux.debian.devel.www/28544/focus=28636
> and.
[..]

With the adoption of the new design:
- there is no CSS icon / link any longer.
- W3C CSS validator doesn't report any false negative any longer (CSS 3 used): 
http://jigsaw.w3.org/css-validator/validator?uri=http%3A%2F%2Fwww.debian.org%2F&profile=css3&usermedium=all&warning=1&vextwarning=&lang=fr#warnings

-- 
Simon Paillard




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 May 2011 07:39:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:43:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.